Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum ExceptionType

    java.lang.Object
      java.lang.Enum<ExceptionType>
          com.nortel.soa.oi.cct.types.ExceptionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExceptionType>

    public enum ExceptionType

extends java.lang.Enum<ExceptionType>

Enum Constant Summary
`AcceptException`
`AddDefaultTreatmentListenerFailedFaultException`
`AddForceDisconnectListenerFailedFaultException`
`AddPartyException`
`AddServiceProviderStatusListenerFailedFaultException`
`AlertException`
`AnswerContactException`
`AnswerException`
`BargeInException`
`CallSupervisorException`
`CancelForwardingException`
`CompleteConferenceException`
`CompleteSupervisedTransferException`
`ConsultException`
`ControlException`
`CreateContactException`
`CreateOQContactFailedFaultOpenQException`
`DisconnectException`
`DisposeException`
`DropContactException`
`DropException`
`DropOQContactFailedFaultOpenQException`
`EmergencyKeyException`
`GenerateDTMFException`
`GetActivityCodeException`
`GetAddressesException`
`GetAddressException`
`GetAgentAddressesException`
`GetAgentException`
`GetAgentsException`
`GetAgentTerminalsException`
`GetAttachedDataException`
`GetAttachedXMLDataException`
`GetCalledAddressException`
`GetCallingAddressException`
`GetCallingTerminalException`
`GetCapabilitiesException`
`GetConferenceConsultContactException`
`GetConnectionCapabilitiesException`
`GetConnectionException`
`GetConnectionsException`
`GetConsultContactException`
`GetContactDataException`
`GetContactException`
`GetContactsException`
`GetContactTypeException`
`GetContactTypesException`
`GetCurrentAddressCountException`
`GetCurrentTerminalCountException`
`GetDefaultContactTypeException`
`GetDoNotDisturbException`
`GetForwardingException`
`GetInformationException`
`GetInstantMessagesException`
`GetIntrinsicsException`
`GetLastRedirectedAddressException`
`GetLoginIdException`
`GetMessageWaitingException`
`GetNotificationProducerVersionException`
`GetNotReadyReasonCodeException`
`GetOpenNetworkingVersionException`
`GetOpenQVersionException`
`GetOQContactFailedFaultOpenQException`
`GetOriginalDestinationAddressException`
`GetPresenceException`
`GetProvidersException`
`GetReadyStateException`
`GetRecordingStateException`
`GetRecordingStateReasonException`
`GetRelatedAddressesException`
`GetStateException`
`GetStaticVoiceTerminalException`
`GetSupervisorException`
`GetTerminalAddressesException`
`GetTerminalConnectionCapabilitiesException`
`GetTerminalConnectionsException`
`GetTerminalException`
`GetTerminalsException`
`GetTerminalStatusException`
`GetTransferConsultContactException`
`GetTypeException`
`GetUriException`
`GetUUIException`
`GetVersionException`
`GiveMediaTreatmentException`
`GiveTreatmentException`
`HoldContactException`
`HoldException`
`InitiateConferenceException`
`InitiateSupervisedTransferException`
`IsControlledException`
`IsForwardedException`
`IsLoggedInException`
`IsMessageWaitingException`
`IsReadyException`
`IsSupervisorException`
`LandingPadCancellationFaultException`
`LandingPadReservationFaultException`
`LoginAgentException`
`LoginAgentToStateException`
`LoginAgentToTerminalException`
`LoginException`
`LogInToCCTServerException`
`LogOffFromCCTServerException`
`LogoutAgentException`
`LogoutAgentFromTerminalException`
`LogoutException`
`MakeSetBusyException`
`MonitoredAddressesCountException`
`MonitoredTerminalsCountException`
`ObserveException`
`ParkException`
`PickupException`
`PickupFromGroupException`
`PresenceSubscribeException`
`PresenceUnsubscribeException`
`RedirectException`
`RejectException`
`ReleaseControlException`
`RemoveDefaultTreatmentListenerFailedFaultException`
`RemoveForceDisconnectListenerFailedFaultException`
`RemoveServiceProviderStatusListenerFailedFaultException`
`RenewSubscriptionFailedFaultNotificationException`
`ResourceUnknownFaultNotificationException`
`RetrieveException`
`RouteException`
`RoutePointRetrieveException`
`SessionNotCreatedException`
`SetActivityCodeException`
`SetAttachedDataException`
`SetContactDataException`
`SetDoNotDisturbException`
`SetForwardingException`
`SetInstantMessagesException`
`SetIntrinsicsException`
`SetIsReadyException`
`SetMessageWaitingException`
`SetNotReadyReasonCodeException`
`SetReadyException`
`SetStaticVoiceTerminalException`
`SetSupervisorException`
`SetToNotReadyStateException`
`SetToNotReadyStateWithReasonCodeException`
`SetToReadyStateException`
`SetUUIException`
`StartAgentEventListenerException`
`StartCallEventListenerException`
`StartRecordingException`
`StopAgentEventListenerException`
`StopCallEventListenerException`
`StopRecordingException`
`SubscribeCreationFailedFaultNotificationException`
`SubscribeFailedFaultOpenQException`
`SubscribeFailedFaultUserException`
`TransferContactException`
`TransferException`
`UnableToDestroySubscriptionFaultNotificationException`
`UnacceptableTerminationTimeFaultNotificationException`
`UnHoldContactException`
`UnholdException`
`UnsubscribeFailedFaultOpenQException`
`UnsubscribeFailedFaultUserException`
`WhisperException`

Method Summary
`static ExceptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExceptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AnswerContactException

    public static final ExceptionType AnswerContactException

### SessionNotCreatedException

    public static final ExceptionType SessionNotCreatedException

### CreateContactException

    public static final ExceptionType CreateContactException

### UnHoldContactException

    public static final ExceptionType UnHoldContactException

### HoldContactException

    public static final ExceptionType HoldContactException

### TransferContactException

    public static final ExceptionType TransferContactException

### MakeSetBusyException

    public static final ExceptionType MakeSetBusyException

### DropContactException

    public static final ExceptionType DropContactException

### GetReadyStateException

    public static final ExceptionType GetReadyStateException

### SetActivityCodeException

    public static final ExceptionType SetActivityCodeException

### GetContactDataException

    public static final ExceptionType GetContactDataException

### SetContactDataException

    public static final ExceptionType SetContactDataException

### SetToNotReadyStateWithReasonCodeException

    public static final ExceptionType SetToNotReadyStateWithReasonCodeException

### SetToNotReadyStateException

    public static final ExceptionType SetToNotReadyStateException

### SetToReadyStateException

    public static final ExceptionType SetToReadyStateException

### InitiateConferenceException

    public static final ExceptionType InitiateConferenceException

### CompleteConferenceException

    public static final ExceptionType CompleteConferenceException

### LoginAgentException

    public static final ExceptionType LoginAgentException

### LoginAgentToStateException

    public static final ExceptionType LoginAgentToStateException

### LogoutAgentException

    public static final ExceptionType LogoutAgentException

### CompleteSupervisedTransferException

    public static final ExceptionType CompleteSupervisedTransferException

### InitiateSupervisedTransferException

    public static final ExceptionType InitiateSupervisedTransferException

### EmergencyKeyException

    public static final ExceptionType EmergencyKeyException

### CallSupervisorException

    public static final ExceptionType CallSupervisorException

### GenerateDTMFException

    public static final ExceptionType GenerateDTMFException

### LogOffFromCCTServerException

    public static final ExceptionType LogOffFromCCTServerException

### LogInToCCTServerException

    public static final ExceptionType LogInToCCTServerException

### GetConnectionsException

    public static final ExceptionType GetConnectionsException

### IsMessageWaitingException

    public static final ExceptionType IsMessageWaitingException

### IsForwardedException

    public static final ExceptionType IsForwardedException

### GetCapabilitiesException

    public static final ExceptionType GetCapabilitiesException

### GetDoNotDisturbException

    public static final ExceptionType GetDoNotDisturbException

### GetTerminalConnectionsException

    public static final ExceptionType GetTerminalConnectionsException

### GetRelatedAddressesException

    public static final ExceptionType GetRelatedAddressesException

### GetLoginIdException

    public static final ExceptionType GetLoginIdException

### IsReadyException

    public static final ExceptionType IsReadyException

### GetActivityCodeException

    public static final ExceptionType GetActivityCodeException

### GetNotReadyReasonCodeException

    public static final ExceptionType GetNotReadyReasonCodeException

### SetIsReadyException

    public static final ExceptionType SetIsReadyException

### SetNotReadyReasonCodeException

    public static final ExceptionType SetNotReadyReasonCodeException

### GetOriginalDestinationAddressException

    public static final ExceptionType GetOriginalDestinationAddressException

### GetLastRedirectedAddressException

    public static final ExceptionType GetLastRedirectedAddressException

### GetConnectionException

    public static final ExceptionType GetConnectionException

### GetAttachedDataException

    public static final ExceptionType GetAttachedDataException

### GetAttachedXMLDataException

    public static final ExceptionType GetAttachedXMLDataException

### GetCallingTerminalException

    public static final ExceptionType GetCallingTerminalException

### GetCallingAddressException

    public static final ExceptionType GetCallingAddressException

### GetCalledAddressException

    public static final ExceptionType GetCalledAddressException

### SetAttachedDataException

    public static final ExceptionType SetAttachedDataException

### GetContactException

    public static final ExceptionType GetContactException

### GetAddressException

    public static final ExceptionType GetAddressException

### GetConnectionCapabilitiesException

    public static final ExceptionType GetConnectionCapabilitiesException

### GetStateException

    public static final ExceptionType GetStateException

### GetTerminalConnectionCapabilitiesException

    public static final ExceptionType GetTerminalConnectionCapabilitiesException

### GetTerminalException

    public static final ExceptionType GetTerminalException

### GetConferenceConsultContactException

    public static final ExceptionType GetConferenceConsultContactException

### GetTransferConsultContactException

    public static final ExceptionType GetTransferConsultContactException

### GetConsultContactException

    public static final ExceptionType GetConsultContactException

### GetTerminalStatusException

    public static final ExceptionType GetTerminalStatusException

### GiveTreatmentException

    public static final ExceptionType GiveTreatmentException

### GetAgentTerminalsException

    public static final ExceptionType GetAgentTerminalsException

### GetTerminalAddressesException

    public static final ExceptionType GetTerminalAddressesException

### AcceptException

    public static final ExceptionType AcceptException

### AlertException

    public static final ExceptionType AlertException

### DisconnectException

    public static final ExceptionType DisconnectException

### RedirectException

    public static final ExceptionType RedirectException

### RejectException

    public static final ExceptionType RejectException

### AnswerException

    public static final ExceptionType AnswerException

### UnholdException

    public static final ExceptionType UnholdException

### HoldException

    public static final ExceptionType HoldException

### GetContactTypeException

    public static final ExceptionType GetContactTypeException

### GetContactTypesException

    public static final ExceptionType GetContactTypesException

### GetIntrinsicsException

    public static final ExceptionType GetIntrinsicsException

### GetUUIException

    public static final ExceptionType GetUUIException

### SetUUIException

    public static final ExceptionType SetUUIException

### SetIntrinsicsException

    public static final ExceptionType SetIntrinsicsException

### GetInstantMessagesException

    public static final ExceptionType GetInstantMessagesException

### SetInstantMessagesException

    public static final ExceptionType SetInstantMessagesException

### AddPartyException

    public static final ExceptionType AddPartyException

### BargeInException

    public static final ExceptionType BargeInException

### WhisperException

    public static final ExceptionType WhisperException

### ParkException

    public static final ExceptionType ParkException

### CancelForwardingException

    public static final ExceptionType CancelForwardingException

### GetForwardingException

    public static final ExceptionType GetForwardingException

### GetMessageWaitingException

    public static final ExceptionType GetMessageWaitingException

### GetPresenceException

    public static final ExceptionType GetPresenceException

### GetTerminalsException

    public static final ExceptionType GetTerminalsException

### GetAddressesException

    public static final ExceptionType GetAddressesException

### GetUriException

    public static final ExceptionType GetUriException

### PresenceSubscribeException

    public static final ExceptionType PresenceSubscribeException

### PresenceUnsubscribeException

    public static final ExceptionType PresenceUnsubscribeException

### SetDoNotDisturbException

    public static final ExceptionType SetDoNotDisturbException

### SetForwardingException

    public static final ExceptionType SetForwardingException

### SetMessageWaitingException

    public static final ExceptionType SetMessageWaitingException

### GetStaticVoiceTerminalException

    public static final ExceptionType GetStaticVoiceTerminalException

### SetStaticVoiceTerminalException

    public static final ExceptionType SetStaticVoiceTerminalException

### LoginException

    public static final ExceptionType LoginException

### SetReadyException

    public static final ExceptionType SetReadyException

### RetrieveException

    public static final ExceptionType RetrieveException

### IsSupervisorException

    public static final ExceptionType IsSupervisorException

### IsLoggedInException

    public static final ExceptionType IsLoggedInException

### GetSupervisorException

    public static final ExceptionType GetSupervisorException

### SetSupervisorException

    public static final ExceptionType SetSupervisorException

### GetAgentsException

    public static final ExceptionType GetAgentsException

### LogoutException

    public static final ExceptionType LogoutException

### GetTypeException

    public static final ExceptionType GetTypeException

### ObserveException

    public static final ExceptionType ObserveException

### GiveMediaTreatmentException

    public static final ExceptionType GiveMediaTreatmentException

### LoginAgentToTerminalException

    public static final ExceptionType LoginAgentToTerminalException

### PickupException

    public static final ExceptionType PickupException

### PickupFromGroupException

    public static final ExceptionType PickupFromGroupException

### DisposeException

    public static final ExceptionType DisposeException

### GetAgentAddressesException

    public static final ExceptionType GetAgentAddressesException

### GetCurrentTerminalCountException

    public static final ExceptionType GetCurrentTerminalCountException

### GetCurrentAddressCountException

    public static final ExceptionType GetCurrentAddressCountException

### LogoutAgentFromTerminalException

    public static final ExceptionType LogoutAgentFromTerminalException

### GetDefaultContactTypeException

    public static final ExceptionType GetDefaultContactTypeException

### ResourceUnknownFaultNotificationException

    public static final ExceptionType ResourceUnknownFaultNotificationException

### SubscribeCreationFailedFaultNotificationException

    public static final ExceptionType SubscribeCreationFailedFaultNotificationException

### RenewSubscriptionFailedFaultNotificationException

    public static final ExceptionType RenewSubscriptionFailedFaultNotificationException

### UnableToDestroySubscriptionFaultNotificationException

    public static final ExceptionType UnableToDestroySubscriptionFaultNotificationException

### UnacceptableTerminationTimeFaultNotificationException

    public static final ExceptionType UnacceptableTerminationTimeFaultNotificationException

### CreateOQContactFailedFaultOpenQException

    public static final ExceptionType CreateOQContactFailedFaultOpenQException

### DropOQContactFailedFaultOpenQException

    public static final ExceptionType DropOQContactFailedFaultOpenQException

### GetOQContactFailedFaultOpenQException

    public static final ExceptionType GetOQContactFailedFaultOpenQException

### AddServiceProviderStatusListenerFailedFaultException

    public static final ExceptionType AddServiceProviderStatusListenerFailedFaultException

### RemoveServiceProviderStatusListenerFailedFaultException

    public static final ExceptionType RemoveServiceProviderStatusListenerFailedFaultException

### AddForceDisconnectListenerFailedFaultException

    public static final ExceptionType AddForceDisconnectListenerFailedFaultException

### RemoveForceDisconnectListenerFailedFaultException

    public static final ExceptionType RemoveForceDisconnectListenerFailedFaultException

### AddDefaultTreatmentListenerFailedFaultException

    public static final ExceptionType AddDefaultTreatmentListenerFailedFaultException

### RemoveDefaultTreatmentListenerFailedFaultException

    public static final ExceptionType RemoveDefaultTreatmentListenerFailedFaultException

### SubscribeFailedFaultOpenQException

    public static final ExceptionType SubscribeFailedFaultOpenQException

### UnsubscribeFailedFaultOpenQException

    public static final ExceptionType UnsubscribeFailedFaultOpenQException

### SubscribeFailedFaultUserException

    public static final ExceptionType SubscribeFailedFaultUserException

### UnsubscribeFailedFaultUserException

    public static final ExceptionType UnsubscribeFailedFaultUserException

### LandingPadReservationFaultException

    public static final ExceptionType LandingPadReservationFaultException

### LandingPadCancellationFaultException

    public static final ExceptionType LandingPadCancellationFaultException

### ReleaseControlException

    public static final ExceptionType ReleaseControlException

### ControlException

    public static final ExceptionType ControlException

### IsControlledException

    public static final ExceptionType IsControlledException

### RouteException

    public static final ExceptionType RouteException

### RoutePointRetrieveException

    public static final ExceptionType RoutePointRetrieveException

### MonitoredTerminalsCountException

    public static final ExceptionType MonitoredTerminalsCountException

### MonitoredAddressesCountException

    public static final ExceptionType MonitoredAddressesCountException

### GetVersionException

    public static final ExceptionType GetVersionException

### GetOpenQVersionException

    public static final ExceptionType GetOpenQVersionException

### GetOpenNetworkingVersionException

    public static final ExceptionType GetOpenNetworkingVersionException

### GetNotificationProducerVersionException

    public static final ExceptionType GetNotificationProducerVersionException

### DropException

    public static final ExceptionType DropException

### TransferException

    public static final ExceptionType TransferException

### ConsultException

    public static final ExceptionType ConsultException

### StartRecordingException

    public static final ExceptionType StartRecordingException

### StopRecordingException

    public static final ExceptionType StopRecordingException

### GetRecordingStateException

    public static final ExceptionType GetRecordingStateException

### GetRecordingStateReasonException

    public static final ExceptionType GetRecordingStateReasonException

### GetProvidersException

    public static final ExceptionType GetProvidersException

### GetAgentException

    public static final ExceptionType GetAgentException

### GetContactsException

    public static final ExceptionType GetContactsException

### StartCallEventListenerException

    public static final ExceptionType StartCallEventListenerException

### StopCallEventListenerException

    public static final ExceptionType StopCallEventListenerException

### StartAgentEventListenerException

    public static final ExceptionType StartAgentEventListenerException

### StopAgentEventListenerException

    public static final ExceptionType StopAgentEventListenerException

### GetInformationException

    public static final ExceptionType GetInformationException

Method Detail

### values

    public static ExceptionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExceptionType c : ExceptionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExceptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.